using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class _Default : System.Web.UI.Page 
{

    string url, path = "";

    protected void Page_Load(object sender, EventArgs e)
    {
        url = String.Format("~/{0}.pdf", RadEditor1.ExportSettings.FileName);
        path = Server.MapPath(url);

    }
    protected void RadEditor1_ExportContent(object sender, Telerik.Web.UI.EditorExportingArgs e)
    {
        if (File.Exists(path))
        {
            File.Delete(path);
        }

        using (FileStream fs = File.Create(path))
        {
            Byte[] info = System.Text.Encoding.Default.GetBytes(e.ExportOutput);
            fs.Write(info, 0, info.Length);
        }
        Response.Redirect("~/Default.aspx");


    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        RadEditor1.Content = RadEditor1.Content.Replace("<p style=\"page-break-before: always; padding-bottom: 0px; margin: 0px; padding-left: 0px; padding-right: 0px; padding-top: 0px;\">&nbsp;</p>", "<?hard-pagebreak?>");
        RadEditor1.Content = RadEditor1.Content.Replace("<p style=\"margin: 0pt; padding: 0pt; page-break-before: always;\"></p>", "<?hard-pagebreak?>");
        
        RadEditor1.ExportToPdf();
    }
}